Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy.control
Class C_Dummy

    java.lang.Object
      de.farafin.snEADy.player.Player
          de.farafin.snEADy.control.C_Dummy

All Implemented Interfaces:
  PubConstants, java.io.Serializable

    public final class C_Dummy

extends Player

a dummy player for the replays. it moves stright ahead if it is asked to decide a move.

Author:
  roland, lars
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `name` the name

Fields inherited from class de.farafin.snEADy.player.Player
`comment`

Fields inherited from interface de.farafin.snEADy.player.PubConstants
`EAST, EXIT, FREE, IN_ACTION, IN_EXIT, IN_HEAVEN, LENGTH, MOVE_EAST, MOVE_NORTH, MOVE_SOUTH, MOVE_WEST, NORTH, PLAYER_0, PLAYER_1, PLAYER_2, PLAYER_3, PLAYER_4, PLAYER_5, PLAYER_6, PLAYER_7, PLAYER_8, PLAYER_9, POINTS, SHORTER, SLOWDOWN, SOUTH, SPEED, TURN_LEFT, TURN_NONE, TURN_RIGHT, WALL, WEST`

Constructor Summary
`C_Dummy()` default constructor

Method Summary
`protected void` | `calculate(GameInfo gInfo, LevelInfo lInfo, SnakeInfo[] sInfo, OwnSnakeInfo oInfo)` This is the method you should implement.

Methods inherited from class de.farafin.snEADy.player.Player
`getName, getTurnDirection, msDone, msLeft, say, sayNow, setDirection, setMonitor, setTurnDirection, startCalculation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public static final java.lang.String name

  the name

  See Also:
    Constant Field Values

Constructor Detail

### C_Dummy

    public C_Dummy()

  default constructor

Method Detail

### calculate

    protected void calculate(GameInfo gInfo,
                             LevelInfo lInfo,
                             SnakeInfo[] sInfo,
                             OwnSnakeInfo oInfo)

  Description copied from class: `Player`
  This is the method you should implement. Here it should be decided to which value turnDirection is set. This method will be called for each player in every game cycle.
  Diese Methode soll von euch implementiert werden. Es muss nur entschieden werden auf welchen Wert turnDirection gesetzt wird. Die Methode wird für jeden Spieler in jedem game Zyclus ein mal aufgerufen.

  Specified by:
    `calculate` in class `Player`
  Parameters:
    `gInfo` - game informations
    Spiel Informationen
    `lInfo` - level informations
    Level Informationen
    `sInfo` - an array of informations about all other snakes in the field.
    Ein Array von Informationen über alle anderen Spieler auf dem Spielfeld.
    `oInfo` - Informations about the own Snake
    Informationen über die eigene Schlange.
  See Also:
    `GameInfo`, `LevelInfo`, `SnakeInfo`, `OwnSnakeInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD